
Enduro/X Core - Support #502

solaris 11 x86 test case test038_tpnotify fail

01/13/2020 10:31 PM - Madars

Status: Closed Start date: 01/13/2020

Priority: Normal (Code 4) Due date:  

Assignee:  % Done: 100%

Category:  Estimated time: 0.00 hour

Target version:    

Description

History

#1 - 01/22/2020 01:06 PM - Madars

Seems we got deadlock:

000.011|dge-dom1.4.log|n:NDRX:3:ad5a7960:16784:00000004:004:20200113:130033167:et_send_sync:/exnet.c:0207:Socket full: Resource

 temporarily unavailable - retry, time spent: 1, max: 9999

000.019|dge-dom2.3.log|n:NDRX:3:ad5a7960:16859:00000006:003:20200113:130033186:et_send_sync:/exnet.c:0207:Socket full: Resource

 temporarily unavailable - retry, time spent: 1, max: 9999

000.081|dge-dom1.4.log|n:NDRX:3:ad5a7960:16784:00000004:004:20200113:130033267:et_send_sync:/exnet.c:0207:Socket full: Resource

 temporarily unavailable - retry, time spent: 1, max: 9999

000.019|dge-dom2.3.log|n:NDRX:3:ad5a7960:16859:00000006:003:20200113:130033286:et_send_sync:/exnet.c:0207:Socket full: Resource

 temporarily unavailable - retry, time spent: 1, max: 9999

000.081|dge-dom1.4.log|n:NDRX:3:ad5a7960:16784:00000004:004:20200113:130033367:et_send_sync:/exnet.c:0207:Socket full: Resource

 temporarily unavailable - retry, time spent: 1, max: 9999

000.019|dge-dom2.3.log|n:NDRX:3:ad5a7960:16859:00000006:003:20200113:130033386:et_send_sync:/exnet.c:0207:Socket full: Resource

 temporarily unavailable - retry, time spent: 1, max: 9999

000.081|dge-dom1.4.log|n:NDRX:3:ad5a7960:16784:00000004:004:20200113:130033467:et_send_sync:/exnet.c:0207:Socket full: Resource

 temporarily unavailable - retry, time spent: 1, max: 9999

000.019|dge-dom2.3.log|n:NDRX:3:ad5a7960:16859:00000006:003:20200113:130033486:et_send_sync:/exnet.c:0207:Socket full: Resource

 temporarily unavailable - retry, time spent: 1, max: 9999

000.082|dge-dom1.4.log|n:NDRX:3:ad5a7960:16784:00000004:004:20200113:130033568:et_send_sync:/exnet.c:0207:Socket full: Resource

 temporarily unavailable - retry, time spent: 1, max: 9999

000.018|dge-dom2.3.log|n:NDRX:3:ad5a7960:16859:00000006:003:20200113:130033586:et_send_sync:/exnet.c:0207:Socket full: Resource

 temporarily unavailable - retry, time spent: 1, max: 9999

000.082|dge-dom1.4.log|n:NDRX:3:ad5a7960:16784:00000004:004:20200113:130033668:et_send_sync:/exnet.c:0207:Socket full: Resource

 temporarily unavailable - retry, time spent: 1, max: 9999

000.018|dge-dom2.3.log|n:NDRX:3:ad5a7960:16859:00000006:003:20200113:130033686:et_send_sync:/exnet.c:0207:Socket full: Resource

 temporarily unavailable - retry, time spent: 1, max: 9999

000.082|dge-dom1.4.log|n:NDRX:3:ad5a7960:16784:00000004:004:20200113:130033768:et_send_sync:/exnet.c:0207:Socket full: Resource

 temporarily unavailable - retry, time spent: 1, max: 9999

000.019|dge-dom2.3.log|n:NDRX:3:ad5a7960:16859:00000006:003:20200113:130033787:et_send_sync:/exnet.c:0207:Socket full: Resource

 temporarily unavailable - retry, time spent: 1, max: 9999

000.081|dge-dom1.4.log|n:NDRX:3:ad5a7960:16784:00000004:004:20200113:130033868:et_send_sync:/exnet.c:0207:Socket full: Resource

 temporarily unavailable - retry, time spent: 1, max: 9999

000.019|dge-dom2.3.log|n:NDRX:3:ad5a7960:16859:00000006:003:20200113:130033887:et_send_sync:/exnet.c:0207:Socket full: Resource

 temporarily unavailable - retry, time spent: 1, max: 9999

000.081|dge-dom1.4.log|n:NDRX:3:ad5a7960:16784:00000004:004:20200113:130033968:et_send_sync:/exnet.c:0207:Socket full: Resource

 temporarily unavailable - retry, time spent: 1, max: 9999

000.019|dge-dom2.3.log|n:NDRX:3:ad5a7960:16859:00000006:003:20200113:130033987:et_send_sync:/exnet.c:0207:Socket full: Resource

 temporarily unavailable - retry, time spent: 2, max: 9999

000.081|dge-dom1.4.log|n:NDRX:3:ad5a7960:16784:00000004:004:20200113:130034068:et_send_sync:/exnet.c:0207:Socket full: Resource

 temporarily unavailable - retry, time spent: 2, max: 9999

 

Node 1 & node 2 tries to send, but socket is full. It could be possible that all threads were busy with send, thus there is no thread available for receive.

The solution would be to split thread pool between send & receive threads.
#2 - 01/22/2020 09:51 PM - Madars

https://github.com/endurox-dev/endurox/commit/8262125fe6ca3874c847db49d68258448e33c30c

#3 - 03/12/2020 01:18 PM - Madars

- Status changed from New to Resolved

- % Done changed from 0 to 100

#4 - 03/12/2020 01:20 PM - Madars

- Status changed from Resolved to Closed

Files

test038_tpnotify.tar.gz 12.4 MB 01/13/2020 Madars
